Skip to main content

Booking

API Reference
POST/api/v1/booking/book

Booking hotel

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Request Body​

transactionToken
required
string
From prebooking API preference from API prebook
endUserIpAddress
required
string
IP address of end user

Response Schema​

ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
confirmationNo
required
string
Confirmation number
confirmationRef
optional
string
Confirmation reference number (ref no with wholesale)
bookingRef
required
string
Gother booking reference number
bookingStatus
required
string
Gother booking status
Example: WAIT_TO_BOOK / BOOKED / CANCELLED / FAILED

Responses​

Status CodeDescription
200SUCCESS
400Bad Request
401Unauthorized
404Not found
500Internal server error